//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : direct3d_include.hpp
//       :     Direct3D
//

#ifndef DSE_GS_DIRECT3D_INCLUDE_HPP
#define DSE_GS_DIRECT3D_INCLUDE_HPP

#ifdef _NOTFINAL
#define D3D_DEBUG_INFO
#endif

#ifdef GD_D3D10
	#include <d3d10.h>
	#include <d3d9types.h>
	#include <d3dx10.h>

	#pragma comment(lib, "d3d10.lib")
	#pragma comment(lib, "d3dx10.lib")
	#pragma comment(lib, "dxgi.lib")
#endif 

#ifdef GD_D3D9
	#include <d3d9.h>
	#include <d3dx9.h>

	#pragma  comment(lib, "d3d9.lib")
	#pragma comment(lib, "d3dx9.lib")
#endif

#ifdef GD_D3D10
	typedef DXGI_FORMAT RTFORMAT;
#endif

#ifdef GD_D3D9
	typedef D3DFORMAT RTFORMAT;
#endif

#endif