//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : eccSetter.hpp
//       : effect common constants setter
//

#ifndef DSE_GS_EFFECT_ECCSETTER_HPP
#define DSE_GS_EFFECT_ECCSETTER_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Effect/effect.hpp>
#include <Darkstar/Graphic System/Camera/camera.hpp>
#include <Darkstar/math.hpp>
#include <Darkstar/Kernel/Misc/singleton.hpp>

namespace gs
{
	class ECCSetter : public ker::SingletonHolder<ECCSetter>
	{
	public:
		ECCSetter();
		~ECCSetter();

		void set(const shared_ptr<Effect>& effect, const math::Matr4& world_matrix, const shared_ptr<Camera>& camera);
	};
};

#endif

