//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2009)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : button.hpp
//       : simple gui button
//

#ifndef DSE_GS_GUI_BUTTON_HPP
#define DSE_GS_GUI_BUTTON_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Kernel/Misc/singleton.hpp>
#include <Darkstar/Resource System/Model/static_model.hpp>

namespace gs
{
	class Button : public ker::SingletonHolder<Button>
	{
	private:
		shared_ptr<rs::StaticModel> button_model;
	public:
		Button(const std::string& desc_file);
		~Button();

		bool pressed(const unsigned int x, const unsigned int y, const unsigned int width, const unsigned int height, const std::string& text);
	};
};

#endif