//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : fill_render_state.hpp
//       : Fill type state block
//

#ifndef DSE_GS_RENDER_STATE_FILL_MODE_RENDER_STATE_HPP
#define DSE_GS_RENDER_STATE_FILL_MODE_RENDER_STATE_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Render State/common_render_state.hpp>

namespace gs
{
	class FillModeRenderState
	{
	private:
		DFILLMODE fill_mode;
	public:
		FillModeRenderState();
		FillModeRenderState(const FillModeRenderState& fm);
		FillModeRenderState(const DFILLMODE& fillMode);
		~FillModeRenderState();

		bool operator==(const FillModeRenderState& state) const;

		void setFillMode(const DFILLMODE& fillMode);
		const DFILLMODE& getFillMode() const;

		void set();
	};
};

#endif