//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : criticalSection.hpp
//       :   -   (, )
//

#ifndef DSE_KERNEL_THREADS_CRITICALSECTION_HPP
#define DSE_KERNEL_THREADS_CRITICALSECTION_HPP

#include <Darkstar/common.hpp>

namespace ker
{
	class CriticalSection
	{
	private:
		CRITICAL_SECTION section;
		bool is_enter;
	public:
		CriticalSection();
		~CriticalSection();

		void enter();
		void leave();
	};
};

#include <Darkstar/Kernel/Threads/criticalSection.inl>

#endif