//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : common_math.cpp
//       :   ,   
//

#include <Darkstar/Math/common_math.hpp>
#include <Darkstar/Math/vect.hpp>

using math::Vect3;

Vect3 math::computeDirectionOnSphere(const float theta, const float phi)
{
	Vect3 direction = Vect3(-sinf(phi)*sinf(theta), cosf(theta), -cosf(phi)*sinf(theta));
	direction.normalize();
	return direction;
};