//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : common_math.inl
//       :   ,   
//

namespace math
{
	inline bool float_equal(const float f1, const float f2)
	{
		return((f1 - f2 < treshold) && (f1 - f2 > -treshold));
	};

	inline bool float_notequal(const float f1, const float f2)
	{
		return((f1 - f2 > treshold) || (f1 - f2 < -treshold));
	};

	inline int ceilf(const float f)
	{
		return static_cast<int>(::ceilf(f));
	};

	inline unsigned int ceil_divf(const unsigned int i1, const unsigned int i2)
	{
		return static_cast<unsigned int>(ceilf((float)i1 / (float)i2));
	};
};