//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2009)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : skybox.hpp
//       : darkstar skybox representation
//

#ifndef DSE_NATURE_SKY_SKYBOX_HPP
#define DSE_NATURE_SKY_SKYBOX_HPP

#include <Darkstar/Resource System/Model/static_model.hpp>
#include <Darkstar/Graphic System/Camera/camera.hpp>

namespace nature
{
	class Skybox
	{
	private:
		shared_ptr<rs::StaticModel> skydome;

		shared_ptr<rs::BaseTexture> cubemap;
	public:
		Skybox(const shared_ptr<rs::StaticModel>& skydome, const shared_ptr<rs::BaseTexture>& cubemap);
		~Skybox();

		shared_ptr<rs::BaseTexture> getSkybox() const;
		void draw(const shared_ptr<gs::Camera>& camera);
	};
};

#endif