//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : sun.inl
//       : darkstar sun representation
//

namespace nature
{
	__forceinline const ker::Date& Sun::getCurrentDate() const
	{
		return current_date;
	};

	__forceinline const ker::Time& Sun::getCurrentTime() const
	{
		return current_time;
	};

	__forceinline const float Sun::getSiteLatitude() const
	{
		return site_latitude;
	};

	__forceinline const float Sun::getSiteLongitude() const
	{
		return site_longitude;
	};

	__forceinline const float Sun::getThetaSun() const
	{
		return theta_sun;
	};

	__forceinline const float Sun::getPhiSun() const
	{
		return phi_sun;
	};

	__forceinline const math::Vect3& Sun::getSunDirection() const
	{
		return sun_direction;
	};

	__forceinline const float Sun::getSunriseTime() const
	{
		return solar_sunrise; 
	};

	__forceinline const float Sun::getSunsetTime() const
	{
		return solar_sunset;
	};

	__forceinline const float Sun::getSunNoonTime() const
	{
		return solar_noon;
	};
};