//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : vertex_buffer_d3d9.cpp
//       :    DirectX 9
//

#ifdef GD_D3D9

#include <Darkstar/Resource System/Model/vertex_buffer.hpp>
#include <Darkstar/Graphic System/Direct3D/graphicDriver.hpp>

using namespace rs;
using gs::GraphicDriver;

void VertexBuffer::set(const unsigned int start_slot /* = 0 */)
{
	input_layout->set();
	for(unsigned int i = 0; i < (unsigned int)streams.size(); ++i)
		GraphicDriver::ptr()->getDevice()->SetStreamSource(start_slot, streams[i]->getStream(), 0, streams[i]->getElementSize());
};

#endif

