//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : rtTexture.cpp
//       : ,   Render Target
//

#include <Darkstar/Resource System/Textures/rtTexture.hpp>
#include <Darkstar/Kernel/logh.hpp>
#include <Darkstar/Graphic System/Direct3D/graphicDriver.hpp>

using rs::BaseTexture;
using rs::RTTexture;
using gs::GraphicDriver;
using ker::Log;

RTTexture::RTTexture()
{

};

RTTexture::~RTTexture()
{

};

#ifdef GD_D3D10
	void RTTexture::setShaderResourceView(ID3D10ShaderResourceView* srv)
	{
		this->srv = srv;
	};
#endif

#ifdef GD_D3D9
	void RTTexture::setTexture(IDirect3DBaseTexture9* tex)
	{
		this->tex = tex;
	};
#endif