//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : rtTexture.hpp
//       : ,   Render Target
//

#ifndef DSE_RS_TEXTURES_RTTEXTURE_HPP
#define DSE_RS_TEXTURES_RTTEXTURE_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Resource System/Textures/baseTexture.hpp>

namespace rs
{
	class RTTexture : public BaseTexture
	{
	public:
		RTTexture();
		~RTTexture();

#ifdef GD_D3D10
		void setShaderResourceView(ID3D10ShaderResourceView* srv);
#endif

#ifdef GD_D3D9
		void setTexture(IDirect3DBaseTexture9* tex);
#endif
	};
};

#endif