//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : textureManager.cpp
//       :  
//

#include <Darkstar/Resource System/Textures/textureManager.hpp>
#include <Darkstar/Kernel/logh.hpp>
#include <Darkstar/Resource System/Textures/loadableTexture.hpp>

using namespace rs_private;
using ker::Log;
using namespace rs;

TextureManager::TextureManager()
{

};

TextureManager::~TextureManager()
{

};

shared_ptr<BaseTexture> TextureManager::load(const std::string& filename, const int quality)
{
	shared_ptr<LoadableTexture> tex(new LoadableTexture);
	tex->load(filename, quality);
	return tex;
};