//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : textureManager.hpp
//       :  
//

#ifndef DSE_RS_TEXTURES_TEXTUREMANAGER_HPP
#define DSE_RS_TEXTURES_TEXTUREMANAGER_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Resource System/Textures/baseTexture.hpp>
#include <Darkstar/Kernel/Misc/singleton.hpp>

namespace rs
{
	class TextureManager : public ker::SingletonHolder<TextureManager>
	{
	public:
		TextureManager();
		~TextureManager();

		shared_ptr<BaseTexture> load(const std::string& filename, const int quality = 0);
	};
};

#endif