//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : baseSoundResource.hpp
//       :   
//

#ifndef DSE_AS_SOUND_BASESOUNDRESOURCE_HPP
#define DSE_AS_SOUND_BASESOUNDRESOURCE_HPP

#include <Darkstar/common.hpp>

namespace as
{
	const unsigned int DAS_CTR3D = 0x00000010;
	const unsigned int DAS_CTRFREQ = 0x00000020;
	const unsigned int DAS_CTRPAN = 0x00000040;
	const unsigned int DAS_CTRVOLUME = 0x00000080;

	class BaseSoundResource
	{
	public:
		BaseSoundResource();
		~BaseSoundResource();

		virtual bool play(bool is_looping)=0;
		virtual bool reset()=0;
		virtual bool stop()=0;

		virtual bool getIsSoundPlaying() const=0;
	};
};

#include <Darkstar/Audio System/Sound/baseSoundResource.inl>

#endif