//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : pixel_shader_d3d10.hpp
//       :     DirectX 10
//

#ifdef GD_D3D10

#ifndef DSE_GS_EFFECT_PIXEL_SHADER_D3D10_HPP
#define DSE_GS_EFFECT_PIXEL_SHADER_D3D10_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Direct3D/direct3d_include.hpp>

namespace gs
{
	class PixelShader
	{
	private:
		ID3D10PixelShader* ps;
	public:
		PixelShader();
		~PixelShader();

		bool create(const void* code, const unsigned int code_size);
		void set();
	};
};

#endif

#endif