//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : pixel_shader_d3d9.hpp
//       :     DirectX 9
//

#ifdef GD_D3D9

#ifndef DSE_GS_EFFECT_PIXEL_SHADER_D3D9_HPP
#define DSE_GS_EFFECT_PIXEL_SHADER_D3D9_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Direct3D/direct3d_include.hpp>

namespace gs
{
	class PixelShader
	{
	private:
		IDirect3DPixelShader9* pshader;
	public:
		PixelShader();
		~PixelShader();

		bool create(const void* code, const unsigned int code_size);
		void set();
	};
};

#endif

#endif