//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : shader_include_d3d9.hpp
//       : class for implement include files in shader for directx 9
//

#ifdef GD_D3D9

#ifndef DSE_GS_EFFECT_SHADER_INCLUDE_D3D9_HPP
#define DSE_GS_EFFECT_SHADER_INCLUDE_D3D9_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Direct3D/direct3d_include.hpp>

namespace gs
{
	class ShaderInclude : public ID3DXInclude
	{
	public:
		ShaderInclude();
		~ShaderInclude();

		HRESULT STDMETHODCALLTYPE Open(D3DXINCLUDE_TYPE IncludeType, LPCSTR pFileName, LPCVOID pParentData, LPCVOID * ppData, UINT * pBytes);
		HRESULT STDMETHODCALLTYPE Close(LPCVOID data);
	};
};

#endif

#endif