//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : keyboardconst unsigned int ants.hpp
//       :    
//

#ifndef DSE_INPUT_KEYBOARDCONSTANTS_HPP
#define DSE_INPUT_KEYBOARDCONSTANTS_HPP

namespace input
{
	const unsigned int  DSI_ESCAPE = 0x01;
	const unsigned int  DSI_1 = 0x02;
	const unsigned int  DSI_2 = 0x03;
	const unsigned int  DSI_3 = 0x04;
	const unsigned int  DSI_4 = 0x05;
	const unsigned int  DSI_5 = 0x06;
	const unsigned int  DSI_6 = 0x07;
	const unsigned int  DSI_7 = 0x08;
	const unsigned int  DSI_8 = 0x09;
	const unsigned int  DSI_9 = 0x0A;
	const unsigned int  DSI_0 = 0x0B;
	const unsigned int  DSI_MINUS = 0x0C;
	const unsigned int  DSI_EQUALS= 0x0D;
	const unsigned int  DSI_BACKSPACE  = 0x0E;
	const unsigned int  DSI_TAB   = 0x0F;
	const unsigned int  DSI_Q = 0x10;
	const unsigned int  DSI_W = 0x11;
	const unsigned int  DSI_E = 0x12;
	const unsigned int  DSI_R = 0x13;
	const unsigned int  DSI_T = 0x14;
	const unsigned int  DSI_Y = 0x15;
	const unsigned int  DSI_U = 0x16;
	const unsigned int  DSI_I = 0x17;
	const unsigned int  DSI_O = 0x18;
	const unsigned int  DSI_P = 0x19;
	const unsigned int  DSI_LEFTBRACKET = 0x1A;
	const unsigned int  DSI_RIGHTBRACKET = 0x1B;
	const unsigned int  DSI_ENTER = 0x1C;    /* Enter on main keyboard */
	const unsigned int  DSI_LCTRL = 0x1D;
	const unsigned int  DSI_A = 0x1E;
	const unsigned int  DSI_S = 0x1F;
	const unsigned int  DSI_D = 0x20;
	const unsigned int  DSI_F = 0x21;
	const unsigned int  DSI_G = 0x22;
	const unsigned int  DSI_H = 0x23;
	const unsigned int  DSI_J = 0x24;
	const unsigned int  DSI_K = 0x25;
	const unsigned int  DSI_L = 0x26;
	const unsigned int  DSI_SEMICOLON = 0x27;
	const unsigned int  DSI_APOSTROPHE = 0x28;
	const unsigned int  DSI_GRAVE = 0x29;
	const unsigned int  DSI_LSHIFT = 0x2A;
	const unsigned int  DSI_BACKSLASH = 0x2B;
	const unsigned int  DSI_Z = 0x2C;
	const unsigned int  DSI_X = 0x2D;
	const unsigned int  DSI_C = 0x2E;
	const unsigned int  DSI_V = 0x2F;
	const unsigned int  DSI_B = 0x30;
	const unsigned int  DSI_N = 0x31;
	const unsigned int  DSI_M = 0x32;
	const unsigned int  DSI_COMMA = 0x33;
	const unsigned int  DSI_POINT = 0x34;
	const unsigned int  DSI_SLASH = 0x35; 
	const unsigned int  DSI_RSHIFT= 0x36;
	const unsigned int  DSI_NUMPADMULTIPLY= 0x37;
	const unsigned int  DSI_LALT = 0x38;
	const unsigned int  DSI_SPACE = 0x39;
	const unsigned int  DSI_CAPSLOCK = 0x3A;
	const unsigned int  DSI_F1 = 0x3B;
	const unsigned int  DSI_F2 = 0x3C;
	const unsigned int  DSI_F3 = 0x3D;
	const unsigned int  DSI_F4 = 0x3E;
	const unsigned int  DSI_F5 = 0x3F;
	const unsigned int  DSI_F6 = 0x40;
	const unsigned int  DSI_F7 = 0x41;
	const unsigned int  DSI_F8 = 0x42;
	const unsigned int  DSI_F9 = 0x43;
	const unsigned int  DSI_F10 = 0x44;
	const unsigned int  DSI_NUMLOCK = 0x45;
	const unsigned int  DSI_SCROLLLOCK = 0x46;
	const unsigned int  DSI_NUMPAD7 = 0x47;
	const unsigned int  DSI_NUMPAD8 = 0x48;
	const unsigned int  DSI_NUMPAD9 = 0x49;
	const unsigned int  DSI_NUMPADSUBTRACT = 0x4A;
	const unsigned int  DSI_NUMPAD4 = 0x4B;
	const unsigned int  DSI_NUMPAD5 = 0x4C;
	const unsigned int  DSI_NUMPAD6 = 0x4D;
	const unsigned int  DSI_NUMPADADD = 0x4E;
	const unsigned int  DSI_NUMPAD1 = 0x4F;
	const unsigned int  DSI_NUMPAD2 = 0x50;
	const unsigned int  DSI_NUMPAD3 = 0x51;
	const unsigned int  DSI_NUMPAD0 = 0x52;
	const unsigned int  DSI_NUMPADPOINT = 0x53;
	const unsigned int  DSI_F11 = 0x57;
	const unsigned int  DSI_F12 = 0x58;
	const unsigned int  DSI_F13 = 0x64;
	const unsigned int  DSI_F14 = 0x65;
	const unsigned int  DSI_F15 = 0x66;
	const unsigned int  DSI_PREVTRACK = 0x90;
	const unsigned int  DSI_NEXTTRACK = 0x99;
	const unsigned int  DSI_NUMPADENTER = 0x9C;
	const unsigned int  DSI_RCTRL = 0x9D;
	const unsigned int  DSI_MUTE = 0xA0;
	const unsigned int  DSI_CALCULATOR = 0xA1;
	const unsigned int  DSI_PLAYPAUSE = 0xA2;
	const unsigned int  DSI_MEDIASTOP = 0xA4;
	const unsigned int  DSI_VOLUMEDOWN = 0xAE;
	const unsigned int  DSI_VOLUMEUP = 0xB0;
	const unsigned int  DSI_WEBHOME = 0xB2;
	const unsigned int  DSI_NUMPADDIVIDE = 0xB5;
	const unsigned int  DSI_SYSRQ = 0xB7;
	const unsigned int  DSI_RALT = 0xB8;
	const unsigned int  DSI_PAUSE = 0xC5;
	const unsigned int  DSI_HOME = 0xC7;
	const unsigned int  DSI_UP = 0xC8;
	const unsigned int  DSI_PAGEUP = 0xC9;
	const unsigned int  DSI_LEFT = 0xCB;
	const unsigned int  DSI_RIGHT = 0xCD;
	const unsigned int  DSI_END = 0xCF;
	const unsigned int  DSI_DOWN = 0xD0;
	const unsigned int  DSI_PAGEDOWN = 0xD1;
	const unsigned int  DSI_INSERT = 0xD2;
	const unsigned int  DSI_DELETE = 0xD3;
	const unsigned int  DSI_LWIN = 0xDB; 
	const unsigned int  DSI_RWIN = 0xDC;
	const unsigned int  DSI_APPS = 0xDD;
	const unsigned int  DSI_POWER = 0xDE;
	const unsigned int  DSI_SLEEP = 0xDF;
	const unsigned int  DSI_WAKE = 0xE3;
	const unsigned int  DSI_WEBSEARCH = 0xE5;
	const unsigned int  DSI_WEBFAVORITES = 0xE6;
	const unsigned int  DSI_WEBREFRESH = 0xE7;
	const unsigned int  DSI_WEBSTOP = 0xE8;
	const unsigned int  DSI_WEBFORWARD = 0xE9;
	const unsigned int  DSI_WEBBACK = 0xEA;
	const unsigned int  DSI_MYCOMPUTER = 0xEB;
	const unsigned int  DSI_MAIL = 0xEC;
	const unsigned int  DSI_MEDIASELECT = 0xED;
};

#endif