//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : singleton.inl
//       :  - 
//

namespace ker
{
	template <typename T>
	inline SingletonHolder<T>::SingletonHolder()
	{
		assert(data.get() == NULL);
		T* t = static_cast<T*>(this);
		data.reset(t);
	};

	template <typename T>
	inline SingletonHolder<T>::~SingletonHolder()
	{
		
	};

	template <typename T>
	inline scoped_ptr<T>& SingletonHolder<T>::ptr()
	{
		assert(data.get() != NULL);
		return data;
	};
};
