//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : criticalSection.inl
//       :  -   (, )
//

namespace ker
{
	inline CriticalSection::CriticalSection()
	{
		InitializeCriticalSection(&section);
		is_enter = false;
	};

	inline CriticalSection::~CriticalSection()
	{
		if(is_enter)
			leave();
		DeleteCriticalSection(&section);
	};

	//  2     EnterCriticalSection   
	// DeleteCriticalSectino.           
	inline void CriticalSection::enter()
	{
		if(is_enter)
			return;
		EnterCriticalSection(&section);
		is_enter = true;
	};

	inline void CriticalSection::leave()
	{
		LeaveCriticalSection(&section);
		is_enter = false;
	};
};