//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : sse_primitives.hpp
//       :     -   SSE
//

#ifndef DSE_MATH_SSE_PRIMITIVES_HPP
#define DSE_MATH_SSE_PRIMITIVES_HPP

#include <Darkstar/math.hpp>

namespace math
{
	SSE_Vect4 sse_sin(const SSE_Vect4& v);
	SSE_Vect4 sse_cos(const SSE_Vect4& v);

	SSE_Vect4 sse_cross(const SSE_Vect4& v1, const SSE_Vect4& v2);
};

#include <Darkstar/Math/sse_primitives.inl>

#endif