//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : input_layout.cpp
//       : input layout
//

#include <Darkstar/Resource System/Model/input_layout.hpp>

using namespace rs;

InputLayout& InputLayout::addElement(const std::string& usage, const unsigned int usage_index, 
									 const unsigned int stream, const unsigned int offset, 
									 const DSEFORMAT& type)
{
	INPUT_ELEMENT new_element;
	new_element.usage = usage;
	new_element.usage_index = usage_index;
	new_element.stream = stream;
	new_element.offset = offset;
	new_element.format = type;
	elements.push_back(new_element);
	return *this;
};