//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//          Darkstar Engine.    
//        ,       ( -
//          ).
//
//       : common.hpp
//       :     
//

#ifndef DSE_COMMON_HPP
#define DSE_COMMON_HPP

#define _WIN32_WINNT 0x0400

#include <iostream>
#include <fstream>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <list>
#include <string>
#include <algorithm>
#include <numeric>
#include <functional>
#include <windows.h>
#include <windowsx.h>
#include <cassert>
#include <hash_map>
#include <sstream>
#include <io.h>
#include <fcntl.h>
#include <sys/stat.h>

#pragma comment(lib, "winmm.lib")

#define WIN32_LEAN_AND_MEAN

#include <boost/smart_ptr.hpp>
#include <boost/function.hpp>
#include <boost/bind.hpp>

using boost::shared_ptr;
using boost::shared_array;
using boost::scoped_ptr;
using boost::scoped_array;
using boost::weak_ptr;

#ifdef GD_D3D10
	const std::string GRAPHIC_PLATFORM = "10";
#endif

#ifdef GD_D3D9
	const std::string GRAPHIC_PLATFORM = "9";
#endif

#endif